<template>
    <div class="user-info">
      <h2>Información del Usuario</h2>
      <div v-for="(entry, index) in dataUserPoint" :key="index">
        <div class="info-item">
          <strong>Puntaje:</strong> {{ entry.puntos }}
        </div>
        <div class="info-item">
          <strong>Posición en el Ranking:</strong> {{ index }}
        </div>
      </div>
    </div>
  </template>
  
  <script>

  import { ref, onMounted, watch } from 'vue';
  import usePoints from "@/composables/usePoints";

    export default{

      props: {
        rankingUser: {
          default: () => {},
        },
      },
      setup(props){

        const { dataPointsUser, nameUser } = usePoints();
        const dataUserPoint = ref(props.rankingUser)

        onMounted( async() => {

        const { dataUser } = await dataPointsUser(nameUser.value);

        dataUserPoint.value = dataUser;
        })

        watch(() => props.rankingUser, (newVal) => {
        
          dataUserPoint.value = newVal;
        });

        return{
          dataUserPoint
        }
      }
    }
  </script>
  
  <style scoped>
    @import url('../css/data.css');
  </style>
  